package com.example.controller.house;

import com.example.common.PageVo;
import com.example.common.Rsp;
import com.example.pojo.dto.ListSiteNameDto;
import com.example.pojo.dto.ListSiteNumDto;
import com.example.service.house.HouseWzLandManageDetailsService;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/house-car/house/dist/api/WzLandManageDetails")
public class HouseWzLandManageDetailsController {
    private final HouseWzLandManageDetailsService houseWzLandManageDetailsService;

    public HouseWzLandManageDetailsController(HouseWzLandManageDetailsService houseWzLandManageDetailsService) {
        this.houseWzLandManageDetailsService = houseWzLandManageDetailsService;
    }

    @Operation(summary = "查询局址别名列表")
    @PostMapping("/getBuildingNameAlias")
    public Rsp<PageVo<String>> listSiteName(@RequestBody ListSiteNameDto dto) {
        return houseWzLandManageDetailsService.listSiteName(dto);
    }

    @Operation(summary = "查询局址编号列表")
    @PostMapping("/getBuildingNameCode")
    public Rsp<PageVo<String>> listSiteNum(@RequestBody ListSiteNumDto dto) {
        return houseWzLandManageDetailsService.listSiteNum(dto);
    }
}
