package com.example.dao;

import com.example.config.mybatis.ex.method.ExBaseMapper;
import com.example.entity.WzHouseMaintenaCostEntity;
import com.example.entity.vo.DailyModifyVo;
import com.example.entity.vo.HighFrequencyVo;
import com.example.utils.Query;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

@Mapper
public interface WzHouseMaintenaCostDao extends ExBaseMapper<WzHouseMaintenaCostEntity> {
    @Select("""
select max(statistical_month) from house_theme.wz_f_housermaintenance_maintenance_cost_detailed
""")
    Integer getLatestDate();
    List<WzHouseMaintenaCostEntity> queryHighPrice(Map map);

    List<HighFrequencyVo> queryHighFrequency(Map map);
    List<HighFrequencyVo> queryHighFrequencyByScore(Map map);

    List<DailyModifyVo> queryDailyModify(Map map);

    int queryDailyModifyTotal(Query query1);

    List<WzHouseMaintenaCostEntity> queryList1(Map map);

    int queryTotal1(Map<String, Object> map);

    List<String> getBuildingNameAlias(Map<String, Object> map);

    List<String> getBuildingNameCode(Map<String, Object> map);

    int getBuildingNameAliasTotal(Query query);

    int queryBuildDetailByCodeTotal(Query query);

//     List<WzDataInspectionEntity> queryVoList(Map<String, Object> map);
//
//     List<FloorNoUserVo> queryLeaveUseList(Map<String, Object> map);
}
