package com.example.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

@Data
public class WzHouseMaintenaCostEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;                              //行ID
    private String buildingId;                       //建筑id基本信息
    private String dateCredited;                     //入账日期
    private String repairType;                       //维修类型
    private String repairContent;                    //维修内容
    private double erpCreditedAmount;                //erp入账金额元
    private double averagePrice;                     //每平方米维修单价
    private String province;                         //资产所属单位一级
    private String city;                             //资产所属单位二级
    private String county;                           //资产所属单位三级
    private String buildingAddressNumber;            //局址编号
    private String buildingNnameAlias;               //局址别名
    private String standardAddress;                  //标准地址
    private String cityGrade;                //城市等级
    private String cityArea;                 //城市区域
    private String district;                 //地段
    private String landAssets;               //是否有土地资产
    private String buildingAddressId;        //局址id
    private String buildingAlias;            //建筑别名
    private String buildingRate;             //得房率
    private String buildingSource;           //房屋来源
    private String getdate;                  //取得日期
    private String buildingStartyear;        //房龄开始年份
    private String investmentEntity;         //投资主体
    private String managementHierarchy;      //管理层级
    private String buildingStructure;        //房屋结构
    private String totalNumberOfFloors;      //楼层总数
    private String assetCode;                //资产编号
    private String astsLabe;                 //资产标签号
    private String useState;                 //使用状态
    private String buildingUse;              //建筑用途
    private String ownershipStatus;          //权属状态
    private String buildingFloorArea;        //建筑占地面积㎡
    private String buildingArea;             //建筑面积㎡
    private String buildingAreaUseArea;      //建筑面积自用㎡
    private String buildingAreaRentArea;     //建筑面积出租㎡
    private String buildingAreaIdelArea;     //建筑面积闲置㎡
    private String buildingAreaUnavailable;  //建筑面积不可使用㎡
    private String useArea;                  //使用面积㎡
    private String useAreaSelfUseArea;       //使用面积自用㎡
    private String useAreaRentArea;          //使用面积出租㎡
    private String useAreaIdelArea;          //使用面积闲置㎡
    private String useAreaUnavailableArea;   //使用面积不可使用㎡
    private String statisticalMonth;

    public static double dealPrice(WzHouseMaintenaCostEntity entity){
        //每平米维修单价 金额/自用+出租
        double useArea=0l;
        if(entity.getUseAreaSelfUseArea()!=null&&!entity.getUseAreaSelfUseArea().equals("")){
            useArea=Double.valueOf(entity.getUseAreaSelfUseArea());
        }
        double rentArea=0l;
        if(entity.getUseAreaRentArea()!=null&&!entity.getUseAreaRentArea().equals("")){
            rentArea=Double.valueOf(entity.getUseAreaRentArea());
        }
        if(useArea+rentArea==0){
            return 0l;
        }
        double v = entity.getErpCreditedAmount() / (useArea + rentArea);
        return v;
    }
}
