package com.example.enums;

public enum ListBuildingHighRepairOrderEnum {
    /**
     * 入账日期
     */
    statisticalMonth("latest_repair_month"),
    /**
     * 二级单位
     */
    city("area_name"),
    /**
     * 三级单位
     */
    county("city_name"),
    /**
     * 建筑别名
     */
    buildingAlias("building_name"),
    /**
     * 维修类型
     */
    repairType("repair_type"),
    /**
     * 维修内容
     */
    repairContent("content_category"),
    /**
     * 累计维修
     */
    erpCreditedAmount("final_cost_sum"),
    /**
     * 标准地址
     */
    standardAddress("address"),
    /**
     * 建筑用途
     */
    buildingUse("building_use"),
    /**
     * 建筑面积
     */
    buildingArea("building_area"),
    /**
     * 建筑面积自用
     */
    buildingAreaUseArea("building_area_self_use"),
    /**
     * 建筑面积出租
     */
    buildingAreaRentArea("building_area_rent"),
    /**
     * 建筑面积闲置
     */
    buildingAreaIdelArea("building_area_idle"),
    /**
     * 建筑面积不可使用
     */
    buildingAreaUnavailable("building_area_unavailable"),
    ;

    private final String columnName;

    ListBuildingHighRepairOrderEnum(String columnName) {
        this.columnName = columnName;
    }

    public String getColumnName() {
        return columnName;
    }
}
