package com.example.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

@NoArgsConstructor
@Data
public class GetSiteStatDto {
    @Valid
    @NotNull
    private GetSiteStatMapDTO map;

    @NoArgsConstructor
    @Data
    public static class GetSiteStatMapDTO {
        @Schema(description = "账期", example = "202312")
        @NotNull
        private Integer statisticalMonth;
        @Schema(description = "二级组织机构id")
        private String city;
        @Schema(description = "三级级组织机构id")
        private String county;
        @Schema(description = "局址id")
        private String siteId;
    }
}
