package com.example.pojo.dto;

import com.example.enums.ListBuildingIdleOrderEnum;
import com.example.enums.OrderEnum;
import com.example.utils.Page;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;

@NoArgsConstructor
@Data
public class ListBuildingIdleDto {
    @Valid
    private Page page;
    @Valid
    private ListBuildingIdleMapDTO map;

    @NoArgsConstructor
    @Data
    public static class ListBuildingIdleMapDTO {
        @Schema(description = "账期", example = "202312")
        private Integer statisticalMonth;
        @Schema(description = "二级组织机构id")
        private String city;
        @Schema(description = "三级级组织机构id")
        private String county;
        @Schema(description = "排序字段")
        private ListBuildingIdleOrderEnum sidx;
        @Schema(description = "排序方式")
        private OrderEnum order;
    }
}
