package com.example.pojo.dto;

import com.example.utils.Page;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

@NoArgsConstructor
@Data
public class ListSiteNameDto {
    @Valid
    @NotNull
    private Page page;
    @Valid
    @NotNull
    private ListSiteNameMapDTO map;

    @NoArgsConstructor
    @Data
    public static class ListSiteNameMapDTO {
        @Schema(description = "账期", example = "202312")
        @NotNull
        private Integer statisticalMonth;
        @Schema(description = "二级组织机构id")
        private String city;
        @Schema(description = "三级级组织机构id")
        private String county;
        @Schema(description = "关键词")
        private String alias;
    }
}
