package com.example.pojo.vo;

import com.example.entity.house.HouseBuildingPo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@NoArgsConstructor
@Data
public class GetSiteStatBuildingVo {
    @Schema(description = "建筑id")
    private String buildingId;
    @Schema(description = "建筑别名")
    private String buildingName;
    @Schema(description = "房龄开始日期")
    private Integer houseYearBegan;
    @Schema(description = "投资主体")
    private String investor;
    @Schema(description = "楼层总数")
    private String totalFloors;
    @Schema(description = "资产编号")
    private String assetsNum;
    @Schema(description = "建筑用途")
    private String buildingUse;
    @Schema(description = "自建面积")
    private BigDecimal buildingArea;
    @Schema(description = "自用面积")
    private BigDecimal buildingAreaSelfUse;
    @Schema(description = "出租面积")
    private BigDecimal buildingAreaRent;
    @Schema(description = "闲置面积")
    private BigDecimal buildingAreaIdle;
    @Schema(description = "资产原值")
    private BigDecimal initialAssetValue;
    @Schema(description = "累计折旧")
    private BigDecimal accumulatedDepreciation;

    public GetSiteStatBuildingVo(HouseBuildingPo po) {
        this.buildingId = po.getBuildingId();
        this.buildingName = po.getBuildingName();
        this.houseYearBegan = po.getHouseYearBegan();
        this.investor = po.getInvestor();
        this.totalFloors = po.getTotalFloors();
        this.assetsNum = po.getAssetsNum();
        this.buildingUse = po.getBuildingUse();
        this.buildingArea = po.getBuildingArea();
        this.buildingAreaSelfUse = po.getBuildingAreaSelfUse();
        this.buildingAreaRent = po.getBuildingAreaRent();
        this.buildingAreaIdle = po.getBuildingAreaIdle();
    }
}
