package com.example.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.List;

@NoArgsConstructor
@Data
public class GetSiteStatVo {
    /**
     * 基础信息
     */
    @Schema(description = "局址编号")
    private String siteNum;
    @Schema(description = "局址别名")
    private String siteName;
    @Schema(description = "所属市区")
    private String areaName;
    @Schema(description = "所属区县")
    private String cityName;
    @Schema(description = "局址地址")
    private String address;
    @Schema(description = "所处地段")
    private String areaSector;
    @Schema(description = "建筑数量")
    private Integer buildingCount;
    @Schema(description = "建筑面积")
    private BigDecimal buildingAreaSum;
    @Schema(description = "土地面积")
    private BigDecimal landAreaSum;
    @Schema(description = "办公人数")
    private Integer staffCount;
    @Schema(description = "建筑面积-自用")
    private BigDecimal buildingAreaSelfUseSum;
    @Schema(description = "建筑面积-出租")
    private BigDecimal buildingAreaRentSum;
    @Schema(description = "建筑面积-闲置")
    private BigDecimal buildingAreaIdleSum;
    @Schema(description = "建筑面积-不可使用")
    private BigDecimal buildingAreaUnusableSum;
    /**
     * 建筑信息
     */
    @Schema(description = "建筑列表")
    List<GetSiteStatBuildingVo> buildingList;
    /**
     * 出租信息
     */
    @Schema(description = "上市累计-对外出租收入")
    private BigDecimal rentOutIncomeSs;
    @Schema(description = "上市累计-对外出租累计欠费")
    private BigDecimal rentOutArrearsSs;
    @Schema(description = "上市累计-水电取暖等杂费欠费")
    private BigDecimal incidentalsArrearsSs;
    @Schema(description = "存续累计-对外出租收入")
    private BigDecimal rentOutIncomeCx;
    @Schema(description = "存续累计-对外出租累计欠费")
    private BigDecimal rentOutArrearsCx;
    @Schema(description = "存续累计-水电取暖等杂费欠费")
    private BigDecimal incidentalsArrearsCx;
    @Schema(description = "对外出租收入(上市)分月数据")
    private LinkedHashMap<String, BigDecimal> rentOutIncomeSsMonth;
    @Schema(description = "对外出租欠费(上市)分月数据")
    private LinkedHashMap<String, BigDecimal> rentOutArrearsSsMonth;
    @Schema(description = "对外出租收入(存续)分月数据")
    private LinkedHashMap<String, BigDecimal> rentOutIncomeCxMonth;
    @Schema(description = "对外出租欠费(存续)分月数据")
    private LinkedHashMap<String, BigDecimal> rentOutArrearsCxMonth;
    /**
     * 费用信息
     */
    @Schema(description = "上市累计-房屋维修费")
    private BigDecimal buildingRepairSs;
    @Schema(description = "上市累计-物业管理费")
    private BigDecimal propertyFeeSs;
    @Schema(description = "存续累计-房屋维修费")
    private BigDecimal buildingRepairCx;
    @Schema(description = "存续累计-物业管理费")
    private BigDecimal propertyFeeCx;
    @Schema(description = "房屋维修费分月数据")
    private LinkedHashMap<String, BigDecimal> buildingRepairMonth;
    @Schema(description = "物业管理费分月数据")
    private LinkedHashMap<String, BigDecimal> propertyFeeMonth;
    /**
     * 评价信息
     */
    @Schema(description = "自有房产人均办公面积-年初")
    private BigDecimal officeAreaAvgPast;
    @Schema(description = "自有房产人均办公面积-当期")
    private BigDecimal officeAreaAvgNow;
    @Schema(description = "自有房产人均办公面积-变化率")
    private BigDecimal officeAreaAvgDiff;
    @Schema(description = "对外出租平均单价-年初")
    private BigDecimal rentOutUnitPriceAvgPast;
    @Schema(description = "对外出租平均单价-当期")
    private BigDecimal rentOutUnitPriceAvgNow;
    @Schema(description = "对外出租平均单价-变化率")
    private BigDecimal rentOutUnitPriceAvgDiff;
    @Schema(description = "房屋面积闲置率-年初")
    private BigDecimal buildingAreaIdleRatePast;
    @Schema(description = "房屋面积闲置率-当期")
    private BigDecimal buildingAreaIdleRateNow;
    @Schema(description = "房屋面积闲置率-变化率")
    private BigDecimal buildingAreaIdleRateDiff;
}
