package com.example.utils;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 查询参数
 *
 * @author
 * @Date 2019-06-05
 *
 */
public class Query extends LinkedHashMap<String, Object> {
    private static final long serialVersionUID = 1L;
    //当前页码
    private int page;
    //每页条数
    private int limit = 10;

    public Query(Map<String, Object> params) {
        this.putAll(params);

        //分页参数
        if(params.get("page")!=null){
            this.page = Integer.parseInt(params.get("page").toString());
            this.limit = Integer.parseInt(params.get("limit").toString());
            this.put("offset", (page - 1) * limit);
            this.put("page", page);
            this.put("limit", limit);
        }
    }

    /**
     * 根据pageMap构建map
     * @return
     */
    public Query(PageMap pageMap){
        this.putAll(pageMap.getMap());
        //分页参数
        if(pageMap.getPage().getPageNum()!=null){
            this.page = pageMap.getPage().getPageNum();
            this.limit = pageMap.getPage().getPageSize();
            this.put("offset", (page - 1) * limit);
            this.put("page", page);
            this.put("limit", limit);
        }
    }


    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public int getLimit() {
        return limit;
    }

    public void setLimit(int limit) {
        this.limit = limit;
    }
}
