package com.example.utils;

import java.util.HashMap;
import java.util.Map;

/**
 * 返回数据
 *
 * @author
 * @email 1600148841@qq.com
 * @date 2019/10/14
 */
public class R extends HashMap<String, Object> {
    private static final long serialVersionUID = 1L;

    public R() {
        put("success", true);
        put("code", 0);
    }

    public static R error() {
        return error(500, "未知异常，请联系管理员");
    }

    public static R error(String msg) {
        return error(500, msg);
    }

    public static R error(int code, String msg) {
        R r = new R();
        r.put("success", false);
        r.put("code", code);
        r.put("message", msg);
        return r;
    }

    public static R ok(String msg) {
        R r = new R();
        r.put("success", true);
        r.put("code", 0);
        r.put("message", msg);
        return r;
    }

    public static R ok(Map<String, Object> map) {
        R r = new R();
        r.putAll(map);
        return r;
    }

    public static R ok() {
        return new R();
    }

    @Override
	public R put(String key, Object value) {
        super.put(key, value);
        return this;
    }

    public R putMap(Map<String, Object> map) {
        super.putAll(map);
        return this;
    }
}
